ISXEVE - Feature - New #1159

Selected ltem
2014-02-15 07:07 AM - MSMage

Status: Implemented Start date: 2014-02-15
Priority: Normal Due date:

Assignee: Amadeus % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

vbulletin_issue_id:

Description

Add access through a data type for currently selected item. Currently selected item will always be an entity of some kind, or null.

History

#1 - 2014-09-20 08:04 AM - MSMage
http://gyazo.com/30b6141ee82157902ca4c6159253ed58 This is in reference to the Selected Iltem EVE window.

#2 - 2014-09-20 03:29 PM - Amadeus
- Status changed from New to In Progress

- Assignee set to Amadeus

#3 - 2014-10-02 02:17 AM - Amadeus

- Status changed from In Progress to Implemented

October 2, 2014
[ISXEVE-20141001.0006]

* NEW Datatype: 'overview'
New Members:
1. SelectedItem (entity)

New Methods:
2. ClearSelectedItem
* Datatype: 'entity'
New Method:
1. SetAsSelectedItem
* NEW TLO:
Overview (overview)

For example ${Overview.Selectedltem} or Overview:ClearSelectedltem or Entity[]:SetAsSelectedltem
